Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt
Class SessionSingletonBase

    java.lang.Object
      org.eclipse.rwt.SessionSingletonBase

public abstract class SessionSingletonBase
extends java.lang.Object

Subclasses of `SessionSingletonBase` provide access to a unique instance of their type with session scope. This means that in the context of one user session `getInstance(Class)` will always return the same object, but for different user sessions the returned instances will be different.

usage:

     public class FooSingleton extends SessionSingletonBase {

       private FooSingleton() {}

       public static FooSingleton getInstance() {
         return ( FooSingleton )getInstance( FooSingleton.class );
       }
     }

Since:
  1.0

Field Summary
`static java.lang.String` `LOCK` IMPORTANT: This constant is not part of the RWT public API.

Constructor Summary
`SessionSingletonBase()`

Method Summary
`static java.lang.Object` `getInstance(java.lang.Class type)` Returns the singleton instance of the specified type that is stored in the current session context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOCK

    public static final java.lang.String LOCK

  IMPORTANT: This constant is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be referenced from application code.

Constructor Detail

### SessionSingletonBase

    public SessionSingletonBase()

Method Detail

### getInstance

    public static java.lang.Object getInstance(java.lang.Class type)

  Returns the singleton instance of the specified type that is stored in the current session context. If no instance exists yet, a new one will be created. The specified type must have a parameterless constructor.

  Parameters:
    `type` - specifies the session singleton instance type.
  Returns:
    the unique instance of the specified type that is associated with the current user session context.

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.